Bug 1288072 - [RFE] RHELOSP: Step B. Register Nodes - multiple node registration
[RFE] RHELOSP: Step B. Register Nodes - multiple node registration
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP3
: 1.0
Assigned To: cchase
Dave Johnson
: Triaged
Depends On:
Blocks: rhci-sprint-14
  Show dependency treegraph
 
Reported: 2015-12-03 07:41 EST by Antonin Pagac
Modified: 2016-04-29 12:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-12-03 07:41:23 EST
Description of problem:
1. Refresh rate
When registering two nodes at the same time, the refresh rate of the page seems to double. This might cause unwanted situation with the progress bars being unable to load and display due to lack of time between the page refreshes. I propose we introduce stable refresh rate for any number of currently registering nodes.

2. Progress bar order
When registering two nodes at the same time, the progress bar order of display seems to change at random after each page refresh. I propose we show the progress bars in order how they were submitted for registration, and keep this order across page refreshes.

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151201.t.0-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20151201.t.1-RHCIOOO-x86_64-dvd1.iso

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 cchase 2016-03-14 16:27:12 EDT
https://github.com/fusor/fusor/pull/703 should address these issues
Comment 2 John Matthews 2016-04-05 09:56:56 EDT
In TP3 RC2
Comment 3 Antonin Pagac 2016-04-06 09:24:05 EDT
Both of the issues are resolved in TP3 RC2.

Marking as verified.

Note You need to log in before you can comment on or make changes to this bug.